# dask.array.linspace

dask.array.linspace(start, stop, num=50, endpoint=True, retstep=False, chunks='auto', dtype=None)

  Return num evenly spaced values over the closed interval [start, stop].

  Parameters:
    start scalar

      The starting value of the sequence.

    stop scalar

      The last value of the sequence.

    num int, optional

      Number of samples to include in the returned dask array, including the endpoints. Default is 50.

    endpoint bool, optional

      If True, `stop` is the last sample. Otherwise, it is not included. Default is True.

    retstep bool, optional

      If True, return (samples, step), where step is the spacing between samples. Default is False.

    chunks int

      The number of samples on each block. Note that the last block will have fewer samples if num % blocksize != 0

    dtype dtype, optional

      The type of the output array.

  Returns:
    samples dask array
    step float, optional

      Only returned if `retstep` is True. Size of spacing between samples.

  See also

  `dask.array.arange`